webentwicklung-frage-antwort-db.com.de

modulzeitplan/Tracking ist in der Modulzuordnung von Haste nicht vorhanden

Native Umweltinformationen reagieren:

System:
  OS: macOS High Sierra 10.13.6
  CPU: x64 Intel(R) Core(TM) i3-7100 CPU @ 3.90GHz
  Memory: 559.26 MB / 16.00 GB
  Shell: 3.2.57 - /bin/bash
Binaries:
  Node: 10.11.0 - /usr/local/bin/node
  npm: 6.4.1 - /usr/local/bin/npm
  Watchman: 4.9.0 - /usr/local/bin/watchman
SDKs:
  iOS SDK:
    Platforms: iOS 12.0, macOS 10.14, tvOS 12.0, watchOS 5.0
IDEs:
  Xcode: 10.0/10A255 - /usr/bin/xcodebuild
npmPackages:
  react: 16.0.0 => 16.0.0 
  react-native: ^0.57.3 => 0.57.3 
npmGlobalPackages:
  react-native-cli: 2.0.1

hier ist die reaktiöse Info ähnliche Lösungen von GitHub funktionieren für mich nicht

5
Yura

Der Fehler tritt aufgrund der Umbenennung von schedule/tracking in schedule/tracing von [email protected] in [email protected] auf.

Das Problem wird gelöst, indem Sie die korrekte Version von react für Ihre react-native-Version auswählen:

  • RN <= 0.57.2 -> reagieren <= 16.5.1
    • Vergewissern Sie sich, dass Sie in diesem Fall Ihre Reaktionsversion gesperrt haben. Ihr package.json sollte so aussehen: [email protected]. Vergewissern Sie sich, dass vor der Version kein ^ vorhanden ist.
    • (Mit [email protected]^16.5.1 in package.json kann eine Antwortversion> = 16.5.1 aufgelöst werden, die NICHT funktioniert.)
    • beispielbefehl: yarn add [email protected]
  • RN> = 0.57.3 -> reagieren> = 16.6

Weitere Informationen finden Sie in der Github Ausgabe Nr. 21150 und Github Ausgabe Nr. 21140 .

Sidenote für Expo-Benutzer:

Wenn Sie expo verwenden, beachten Sie, dass für expo <= 32.0.0 eine reaktive Version <= 0.57.2 verwendet wird und die reale Version daher <= 16.5.1 ist

3
Leo

Wenn Sie mit Ihren Versionen von npm-Paketen arbeiten:

react: 16.0.0 => 16.0.0 
react-native: ^0.57.3 => 0.57.3

Wir werden den gleichen Fehler haben wie unten:

error: bundling failed: Error: Unable to resolve module `scheduler/tracing` from 
`C:\projects\rnw\node_modules\react-native\Libraries\Renderer\oss\ReactNativeRenderer- 
dev.js`: Module `scheduler/tracing` does not exist in the Haste module map

Aktualisieren Sie auf die folgenden Versionen:

"dependencies": {
  "react": "16.6.3",
  "react-native": "0.58.1"
},

Und der Fehler wird verschwunden sein.

1
Yuci

Wenn ein Fehler im Zusammenhang mit dem Modul Schedule/Tracking nicht gefunden wird, verwenden Sie die native Version 0.55.0 von react. Ab Version RN-> 0.55.0 wird das Schedule/Tracking-Paket umbenannt oder in ein anderes Modul verschoben, das vom Node Server nicht gefunden wird.

Befehl: react-native init (Projektname) --version 0.55.0

0
Ashay